body {
  height: 150vh;
}

h3 {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 15px 0;
}

.container {
  background-color: rgb(87, 87, 87);
  display: flex;
  align-items: center;
  text-align: center;
  flex-direction: column;
  row-gap: 12px;
  padding: 8px;
  scale: 0.7;
  max-width: 800px;
  margin: auto;
  margin-top: -55px;
}

h1 {
  padding: 25px 0 0 0;
}

#number {
  background-color: white;
  border-radius: 8px;
  outline: none;
  border: none;
  padding: 5px 15px;
  font-size: 1rem;
  color: black;
  margin-bottom: 15px;
}

#submit {
  background-color: black;
  border-radius: 8px;
  outline: none;
  border: none;
  padding: 5px 25px;
  font-size: 1rem;
  color: #fff;
  cursor: pointer;
  margin-bottom: 5px;
}

.prevGuess {
  margin-bottom: -10px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 5px;
}

.prevGuess>li {
  list-style: none;
}

.result {
  height: 150px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: 8px;
  padding: 25px 50px;
  max-width: 100%;
  text-align: center;
  transition: all 10ms ease-in;
}

.active {
  border: 2px solid black;
  background-color: dodgerblue;
  border-radius: 15px;
}

.wrong {
  background-color: rgba(196, 45, 45, 0.838);
  color: black;
  border: 2px solid black;
  padding: 5px 15px;
  border-radius: 10px;
}

.win {
  background-color: green;
  padding: 5px 15px;
  border-radius: 10px;
}

.reveal {
  background-color: lightgreen;
  border: 2px solid black;
  color: black;
  padding: 5px 15px;
  border-radius: 10px;
}

.hint{
  background-color: lightyellow;
  color: black;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  border: 2px solid black;
  padding: 5px 25px;
}

.startOver{
  background-color: lightcoral;
  color: black;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  border: 2px solid black;
  padding: 2px 15px;
  cursor: pointer;
}